//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "Pgp6NoQSDlgs.h"
#include "PgpSdk.h"
#include "OptionsDlgs.h"
#include "helpdlgs.h"
#include "FileMan.h"
#include "global.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TPgp6NoQSDlg *Pgp6NoQSDlg;
//---------------------------------------------------------------------------
void __fastcall RunPgp6NoQSDialog(TForm *Owner)
{
   Pgp6NoQSDlg = new TPgp6NoQSDlg(Owner);
   Pgp6NoQSDlg->ShowModal();
   delete Pgp6NoQSDlg;
}
//---------------------------------------------------------------------------
__fastcall TPgp6NoQSDlg::TPgp6NoQSDlg(TComponent* Owner)
	: TForm(Owner)
{
   CenterDialog(this,(TForm*)Owner);
   cancel = false;
}
//---------------------------------------------------------------------------
void __fastcall TPgp6NoQSDlg::OkBtnClick(TObject *Sender)
{
   if (cancel)
   {
      cancel = false;
      return;
   }
   if (SureBtn->Checked) ModalResult = mrYes;
   else ModalResult = mrNo;
}
//---------------------------------------------------------------------------
void __fastcall TPgp6NoQSDlg::HelpBtnClick(TObject *Sender)
{
   OpenHelp("Pgp6NoQS","","");
}
//---------------------------------------------------------------------------
void __fastcall TPgp6NoQSDlg::FormCloseQuery(TObject *Sender, bool &CanClose)
{
   TMemoryStream *ms;
   AnsiString pubring,secring,cap;
   switch (ModalResult)
   {
      case mrYes:
         if (MsgBoxHwnd(Handle,"Create the keyrings now?","Confirm",MB_OKCANCEL)==IDCANCEL)
         {
            CanClose = false;
            return;
         }
         ms = new TMemoryStream();
         pubring = ExtractFilePath(AppExeName)+"pubring.pkr";
         secring = ExtractFilePath(AppExeName)+"secring.skr";
         PutAppIni(PgpPubRing,pubring);
         PutAppIni(PgpSecRing,secring);
         ms->SaveToFile(pubring);
         ms->SaveToFile(secring);
         delete ms;

         cap = Caption;
         Caption = "working...";
         AppProcessMessages(); Sleep(400);
         Caption = cap;
         if (PGPqdkUpdateQSKeyrings(this,this))
         {
            AppProcessMessages();
            MsgBoxHwnd(Handle,
               "QuickSilver keyrings created and updated from PGP6",
               "Success",
                MB_OK
            );
         }
         else
         {
            MsgBoxHwnd(Handle,
               "Import from PGP6 failed!",
               "PGP Error",
                MB_OK
            );
         }
         break;
      case mrNo :
         Hide(); GetPreferences("Pgp");
         break;
   }
}
//---------------------------------------------------------------------------