//---------------------------------------------------------------------------
#ifndef QSpgpPassH
#define QSpgpPassH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TPassphrase : public TDataModule
{
__published:	// IDE-managed Components
  TTimer *Timer;
  void __fastcall TimerTimer(TObject *Sender);
  void __fastcall PassphraseCreate(TObject *Sender);
  void __fastcall PassphraseDestroy(TObject *Sender);
private:	// User declarations
public:		// User declarations
  int seconds;
  char *sessionKey;
  TStringList *phrases;
  __fastcall TPassphrase(TComponent* Owner);
  void __fastcall Delete(AnsiString idtext8);
  void __fastcall Add(AnsiString idtext8, AnsiString phrase);
  AnsiString __fastcall Get(TStrings *idtext8s, AnsiString &idtext8); // returns idtext8
  AnsiString __fastcall Get(AnsiString idtext8);                      // in idtext8
  char*__fastcall GetSessionKey();
  void __fastcall Clear();
};
//---------------------------------------------------------------------------
extern TPassphrase *Passphrase;
//---------------------------------------------------------------------------
#endif
